# fifos.c File Reference

## Detailed Description

Implementation of the RTAI FIFO module.

Author:
  Paolo Mantegazza

Note:
  Copyright © 1999-2003 Paolo Mantegazza <mantegazza@aero.polimi.it>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

Include dependency graph for fifos.c:

## Functions

int | rtf_reset (unsigned int minor)
int | rtf_resize (unsigned int minor, int size)
int | rtf_create (unsigned int minor, int size)
int | rtf_destroy (unsigned int minor)
int | rtf_create_handler (unsigned int minor, int(*handler)(unsigned int fifo))
int | rtf_put (unsigned int minor, void *buf, int count)
int | rtf_get (unsigned int minor, void *buf, int count)
int | rtf_sem_init (unsigned int minor, int value)
int | rtf_sem_post (unsigned int minor)
int | rtf_sem_trywait (unsigned int minor)
int | rtf_sem_destroy (unsigned int minor)